#!/bin/bash

cversion=4.0.3
pversion=403

if [ ! -d packages/cantaloupe-$cversion ] ; then
    cd packages/ 
    tar xvzf cantaloupe-$cversion.tar.gz
    cd ..
fi

echo "Running rsync update on src/main"
rsync -pav src/main packages/cantaloupe-$cversion/src/.

echo "Running rsync update on cantaloupe-pom$pversion.xml -> cantaloupe-$cversion/pom.xml"
rsync -pav cantaloupe-pom$pversion.xml packages/cantaloupe-$cversion/pom.xml


echo

echo "Copying Greenstone's global.properties into Cantaloupe's resources folder"
/bin/cp ../../web/WEB-INF/classes/global.properties packages/cantaloupe-$cversion/src/main/resources/.

echo "Copying Greenstone's log4j.properties into Cantaloupe's resources folder"
/bin/cp ../../web/WEB-INF/classes/log4j.properties packages/cantaloupe-$cversion/src/main/resources/.

echo "Copying Greenstone's IIIFConfig.xml into Cantaloupe's resources folder"
/bin/cp ../../web/WEB-INF/classes/IIIFConfig.xml packages/cantaloupe-$cversion/src/main/resources/.

echo ""
./MISSING-POM-JARS-TOPUP.sh

if [ ! -f $HOME/.m2/settings.xml ] ; then
    echo "  copying m2-settings.xml to \$HOME/.m2/settings.xml to override maven's default http block"
    
    /bin/cp m2-settings.xml $HOME/.m2/settings.xml
fi

echo
echo "Next step:"
echo "  ./COMPILE-CANTALOUPE.sh"
echo
